summaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2018-04-12 11:59:07 +0200
committerCorentin LABBE <clabbe@baylibre.com>2018-06-05 15:36:31 +0200
commit31555bcb6555d080e7072fba2fc8ccda0fd59eaa (patch)
treee70c096e7714be50f2d7b9f4419f07dbe4452ec7 /deploy.sh
parent287e03c09e34ec77d696fcd7ad55912cc127a859 (diff)
Implement Multipleslave
This patch implement multiple slave support. Instead of having a maximum of one master and one slave in one docker image, it is now possible to have multiple slave accross several docker host. For helping this change, a new boards.yaml format is introduced (See README.md for details) Note that tokens.yaml is also squashed in boards.yaml
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..f7be5be
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+#check for root
+BEROOT=""
+if [ $(id -u) -ne 0 ];then
+ BEROOT="sudo "
+fi
+$BEROOT rm /etc/udev/rules.d/*lava*rules
+$BEROOT cp udev/*lava*rules /etc/udev/rules.d/
+$BEROOT udevadm control --reload-rules || exit $?
+$BEROOT udevadm trigger || exit $?
+
+docker-compose build || exit 1
+docker-compose up -d || exit 1